Skip to main content
DELETE
/
Dataset
/
{datasetId}
/
document
/
parse
Stop document parsing
curl --request DELETE \
  --url https://api.starleads.co/Dataset/{datasetId}/document/parse \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "documentIds": [
    "doc_xyz"
  ]
}
'
{
  "success": true
}

Authorizations

X-Api-Key
string
header
required

Headers

X-Api-Key
string
required

Api key to pass as a X-Api-Key request header.

Path Parameters

datasetId
string
required

ID of the dataset.

Body

application/json

Request to trigger or stop parsing on selected documents

documentIds
string[]
required

List of document IDs to parse

Response

Parsing stopped successfully

Generic success response

success
boolean

Indicates the operation was successful